
package com.ichinaski.imageloadersamples;

import com.ichinaski.imageloader.IImageLoaderCallback;
import com.ichinaski.imageloader.ImageLoader;

import android.app.Activity;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.Toast;

public class CoverFullActivity extends Activity implements IImageLoaderCallback {
    public static final String EXTRA_IMAGE = "image";

    private ImageLoader imageLoader;
    private ImageView imageView;
    private String imageUrl;
    private ProgressBar progresBar;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.cover_full_layout);
        
        Bundle extras = getIntent().getExtras();

        imageUrl = extras.getString(EXTRA_IMAGE);
        imageView = (ImageView)findViewById(R.id.coverFullView);
        progresBar = (ProgressBar)findViewById(R.id.progressBar);
        imageLoader = ImageLoader.getImageLoader(this);

        imageView.setVisibility(View.GONE);
        progresBar.setVisibility(View.VISIBLE);

        display();
    }

    private void display() {
        // Passing null ImageSize, will not re-scale down the image one is downloaded.
        imageLoader.displayImage(imageUrl, this, imageView, null, true, this);
    }

    @Override
    public void onImageLoaded(ImageView iv, Bitmap bmp, String url) {
        if (bmp != null && imageView == iv)
            imageView.setImageBitmap(bmp);
        else
            Toast.makeText(this, "Error downloading image", Toast.LENGTH_SHORT).show();

        imageView.setVisibility(View.VISIBLE);
        progresBar.setVisibility(View.GONE);
    }
}
