package com.ichinaski.imageloadersamples;

import com.ichinaski.imageloader.ImageCache.ImageCacheParams;
import com.ichinaski.imageloader.ImageLoader;
import com.ichinaski.imageloader.ImageLoader.ImageLoadConfig;

import android.app.Application;

public class SamplesApp extends Application
{
  private static SamplesApp app;
  
  @Override
  public void onCreate ()
  {
    super.onCreate();
    app = this;
    initImageLoader();
  }
  
  public static SamplesApp getApp ()
  {
    return app;
  }
  
  private void initImageLoader () {
      // This initialization does nothing custom.
      // Is the same as the default one.
      ImageCacheParams params = new ImageCacheParams(this);
      params.memoryCacheEnabled = true;
      params.diskCacheEnabled = true;
      ImageLoadConfig config = new ImageLoadConfig(params);
      ImageLoader.init(getApplicationContext(), config);
  }
  
}
