package com.ichinaski.imageloader;

import android.graphics.Bitmap;

public class BitmapSample {
    private Bitmap mBitmap;
    private int mSampleSize;
    private ImageSize mOriginalSize;
    
    public BitmapSample(Bitmap bitmap, int sampleSize, ImageSize originalSize) {
        if (bitmap == null && sampleSize < 1) {
            throw new IllegalArgumentException("sampleSize has to be positive");
        }
        
        mBitmap = bitmap;
        mSampleSize = sampleSize;
        mOriginalSize = originalSize;
    }
    
    public Bitmap getBitmap() {
        return mBitmap;
    }
    
    public int getSampleSize() {
        return mSampleSize;
    }
    
    public boolean fitsRequiredSize(ImageSize size) {
        return mSampleSize <= ImageLoadUtils.calculateInSampleSize(mOriginalSize, size);
    }
    
    public ImageSize getOriginalSize() {
        return mOriginalSize;
    }
}
