package com.ichinaski.imageloader;

import com.ichinaski.imageloader.ImageLoader.ImageLoaderCallback;

import android.graphics.Bitmap;
import android.view.animation.Animation;
import android.widget.ImageView;

public class ImageListener implements ImageLoaderCallback{
    
    public enum ImageAnimation {
        NONE, FADE_IN
    }
    
    private Animation mAnimation;
    
    public ImageListener(ImageAnimation anim) {
        initAmination(anim);
    }
    
    private void initAmination(ImageAnimation anim) {
        if (anim == null) anim = ImageAnimation.NONE;
        
        switch (anim) {
            case FADE_IN:
                mAnimation = ImageLoadUtils.fadeInAnimation();
                break;
            default:
                mAnimation = null;
                break;
        }
    }

    @Override
    public void onImageLoaded(ImageView iv, Bitmap bmp, String url) {
        if (iv != null && bmp != null) {
            iv.setImageBitmap(bmp);
            
            if (mAnimation != null) {
                iv.startAnimation(mAnimation);
            }
        }
    }

}
