package com.ichinaski.imageloader.cache;

import com.ichinaski.imageloader.BitmapSample;
import com.ichinaski.imageloader.util.PlatformUtils;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.os.Build;
import android.support.v4.util.LruCache;

public class BitmapLruCache extends LruCache<String, BitmapSample>{

    public BitmapLruCache(int maxSize) {
        super(maxSize);
    }
    
    /**
    * Measure item size in bytes rather than units which is more
    * practical for a bitmap cache
    */
   @Override
   protected int sizeOf(String key, BitmapSample sampledBitmap) {
       return (sampledBitmap != null) ? getBitmapSize(sampledBitmap.getBitmap()) : 0;
   }

    /**
     * Get the size in bytes of a bitmap.
     */
    @TargetApi(Build.VERSION_CODES.HONEYCOMB_MR1)
    public static int getBitmapSize(Bitmap bitmap) {
        if (PlatformUtils.hasHoneycombMR1()) {
            return bitmap.getByteCount();
        }
        // Pre HC-MR1
        return bitmap.getRowBytes() * bitmap.getHeight();
    }
}
