package com.ichinaski.imageloader.util;

import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import static com.ichinaski.imageloader.util.LogUtils.LOGE;

public class IOUtils {
    public static final String TAG = IOUtils.class.getSimpleName();
    
    private static final int IO_BUFFER_SIZE = 4 * 1024;

    public static void copyStream(InputStream in, OutputStream out) throws IOException {
        byte[] b = new byte[IO_BUFFER_SIZE];
        int read;
        while ((read = in.read(b)) != -1) {
            out.write(b, 0, read);
        }
    }
    
    /**
     * Close a previously used Stream.
     * 
     * @param stream 
     */
    public static void closeSilently(Closeable stream) {
        if (stream != null) {
            try {
                stream.close();
            } catch (IOException e) {
                LOGE(TAG, e.getMessage());
            }
        }
        
    }
}
